> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 中转 Chat Completions（OpenAI 规范）

> 接口说明：兼容 OpenAI Chat Completions 规范的中转接口，支持 stream；OpenAI SDK 默认携带 Authorization: Bearer 头，按 ApiKey 鉴权计费。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json post /api/ai/chat/completions
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: AI 服务/模型中转
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/互动
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
paths:
  /api/ai/chat/completions:
    post:
      tags:
        - AI 服务/模型中转
      summary: 中转 Chat Completions（OpenAI 规范）
      description: >-
        接口说明：兼容 OpenAI Chat Completions 规范的中转接口，支持 stream；OpenAI SDK 默认携带
        Authorization: Bearer 头，按 ApiKey 鉴权计费。
      operationId: RelayController_chatCompletions
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RelayChatCompletionsDto'
            examples: {}
        required: true
      responses:
        '200':
          description: 第三方协议原生响应或 SSE 数据。不使用 AiToEarn 通用响应包裹。
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                description: 第三方协议原生响应，不使用 AiToEarn 通用响应包裹。
              examples:
                success:
                  summary: 第三方协议原生成功响应
                  value:
                    id: RelayController_chatCompletions_example
                    object: response
            text/event-stream:
              schema:
                type: string
                description: SSE 流式响应。
      deprecated: false
      security:
        - apikey-header-Authorization: []
components:
  schemas:
    RelayChatCompletionsDto:
      type: object
      properties:
        messages:
          minItems: 1
          type: array
          items:
            type: object
            properties:
              role:
                type: string
                description: 消息角色，用于区分不同消息来源
              content:
                description: 内容正文
            required:
              - role
              - content
            additionalProperties: true
          description: 消息列表
        model:
          type: string
          description: 模型ID
        billingGroupId:
          description: 计费分组 ID，相同分组的连续 Chat 调用合并扣费日志
          type: string
          minLength: 1
        source:
          description: 消费来源
          type: string
          enum:
            - ai_chat
            - plugin
        stream:
          description: 是否流式返回
          type: boolean
      required:
        - messages
        - model
      additionalProperties: true
  securitySchemes:
    apikey-header-Authorization:
      type: apiKey
      in: header
      name: Authorization
      description: OpenAI 兼容接口使用，示例：Bearer <token>。

````